<template>
	<div class="flex flex-col w-full min-h-screen" style="min-width:320px">
		<AppHeader />
		<div id="content" class="flex-1 text-center xl:2/5 lg:w-4/5 xl:max-w-screen-2xl lg:mx-auto w-full px-2" v-cloak>
			<router-view></router-view>
		</div>
		<div id="footer" class="pb-2 text-center">
			<hr class="mx-8 mb-2" />
			<span class="font-extralight">FakeShop v1.0 by Gabriele Tomberli</span>
		</div>
	</div>
</template>

<script>
import './assets/index.css'
import AppHeader from './components/AppHeader.vue';

/**
 * The main Vue.js app.
 * It's only responsibility is in the basic page layout, with an header, a dynamic content and a footer.
 */ 
export default {
	components: {
		AppHeader
	}
}
</script>

<style>
	#content[v-cloak] { display: none; }
</style>
